Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.importer
Class ObjectImporter

    java.lang.Object
      org.makumba.importer.ObjectImporter

    public class ObjectImporter

extends Object

This class imports makumba records from text files based on markers placed in special configuration files with the "mark" extension from the CLASSPATH

Author:
  Cristian Bogdan

Field Summary
`protected String` | `begin`
`(package private) boolean` | `canError`
`(package private) MakumbaError` | `configError`
`protected DataDefinition` | `dd`
`protected String` | `end`
`(package private) Vector<SimpleDateFormat>` | `formats`
`(package private) static String[][]` | `htmlEscape`
`protected boolean` | `ignored`
`protected boolean` | `ignoreNotFound`
`(package private) int` | `index`
`(package private) String` | `joinField`
`(package private) Properties` | `markers`
`(package private) int` | `nchar`
`(package private) boolean` | `noMarkers`
`(package private) String` | `nothing`
`(package private) boolean` | `noWarning`
`(package private) Properties` | `replaceFile`
`(package private) String` | `select`

Constructor Summary
`ObjectImporter(DataDefinition type)`
`ObjectImporter(DataDefinition type, boolean noMarkers)`

Method Summary
`void` | `base_configureField(String fieldName, Properties markers)`
`Object` | `base_getFieldValue(String fieldName, String s)`
`Object` | `base_getFieldValue(String fieldName, String s, Transaction db, Pointer[] indexes)`
`String` | `canonicalFieldName(String fieldName)`
`void` | `configure_date_Field(String fieldName, Properties markers)`
`void` | `configure_none_Field(String fieldName, Properties markers)`
`void` | `configure_ptr_Field(String fieldName, Properties markers)`
`void` | `configureField(String fieldName, Properties markers)`
`(package private) static String` | `decomposeURL(String fieldName, String s)`
`(package private) static String` | `escapeField(String fieldName, String s)`
`Object` | `get_date_FieldValue(String fieldName, String s)`
`Object` | `get_int_FieldValue(String fieldName, String s)`
`Object` | `get_intEnum_FieldValue(String fieldName, String s)`
`Object` | `get_ptr_FieldValue(String fieldName, String s, Transaction db, Pointer[] indexes)`
`(package private) String` | `getFieldMarker(String fieldName, String m)`
`Object` | `getFieldValue(String fieldName, String s)`
`Object` | `getFieldValue(String fieldName, String s, Transaction db, Pointer[] indexes)`
`String` | `getMarker(String s)`
`(package private) Object` | `getValue(String fieldName, String s, Transaction db, Pointer[] indexes)`
`void` | `importFieldTo(String fieldName, Dictionary<String,Object> d, String s, Transaction db, Pointer[] indexes)`
`Dictionary<String,Object>` | `importFrom(String s, Transaction db, Pointer[] indexes)` import data from a text. indexes contains the pointers to other records imported from the same text, at the same time
`boolean` | `isFieldMarked(String fieldName)`
`boolean` | `isIgnored(String fieldName)`
`protected boolean` | `isMarked(String fieldName)`
`static void` | `main(String[] argv)` imports all files from a directory
`(package private) MakumbaError` | `makeFieldError(String fieldName, String s)`
`(package private) MakumbaError` | `makeFieldError(String fieldName, Throwable t)`
`(package private) String` | `replaceField(String fieldName, String val)`
`boolean` | `shouldDecomposeURL(String fieldName)`
`boolean` | `shouldEscapeField(String fieldName)`
`protected boolean` | `usesHidden()`
`(package private) void` | `warningField(String fieldName, String s)`
`(package private) void` | `warningField(String fieldName, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### markers

    Properties markers

### dd

    protected DataDefinition dd

### ignored

    protected boolean ignored

### ignoreNotFound

    protected boolean ignoreNotFound

### begin

    protected String begin

### end

    protected String end

### configError

    MakumbaError configError

### replaceFile

    Properties replaceFile

### canError

    boolean canError

### noWarning

    boolean noWarning

### nothing

    String nothing

### formats

    Vector<SimpleDateFormat> formats

### joinField

    String joinField

### select

    String select

### index

    int index

### nchar

    int nchar

### noMarkers

    boolean noMarkers

### htmlEscape

    static String[][] htmlEscape

Constructor Detail

### ObjectImporter

    public ObjectImporter(DataDefinition type)

### ObjectImporter

    public ObjectImporter(DataDefinition type,
                          boolean noMarkers)

Method Detail

### getMarker

    public String getMarker(String s)

### getValue

    Object getValue(String fieldName,
                    String s,
                    Transaction db,
                    Pointer[] indexes)

### isMarked

    protected boolean isMarked(String fieldName)

### usesHidden

    protected boolean usesHidden()

### importFrom

    public Dictionary<String,Object> importFrom(String s,
                                                Transaction db,
                                                Pointer[] indexes)

  import data from a text. indexes contains the pointers to other records imported from the same text, at the same time

### main

    public static void main(String[] argv)
                     throws Throwable

  imports all files from a directory

  Throws:
    `Throwable`

### getFieldValue

    public Object getFieldValue(String fieldName,
                                String s,
                                Transaction db,
                                Pointer[] indexes)

### base_getFieldValue

    public Object base_getFieldValue(String fieldName,
                                     String s,
                                     Transaction db,
                                     Pointer[] indexes)

### get_ptr_FieldValue

    public Object get_ptr_FieldValue(String fieldName,
                                     String s,
                                     Transaction db,
                                     Pointer[] indexes)

### getFieldValue

    public Object getFieldValue(String fieldName,
                                String s)

### base_getFieldValue

    public Object base_getFieldValue(String fieldName,
                                     String s)

### get_date_FieldValue

    public Object get_date_FieldValue(String fieldName,
                                      String s)

### get_intEnum_FieldValue

    public Object get_intEnum_FieldValue(String fieldName,
                                         String s)

### get_int_FieldValue

    public Object get_int_FieldValue(String fieldName,
                                     String s)

### isIgnored

    public boolean isIgnored(String fieldName)

### isFieldMarked

    public boolean isFieldMarked(String fieldName)

### replaceField

    String replaceField(String fieldName,
                        String val)

### getFieldMarker

    String getFieldMarker(String fieldName,
                          String m)

### canonicalFieldName

    public String canonicalFieldName(String fieldName)

### warningField

    void warningField(String fieldName,
                      String s)

### warningField

    void warningField(String fieldName,
                      Throwable t)

### makeFieldError

    MakumbaError makeFieldError(String fieldName,
                                String s)

### makeFieldError

    MakumbaError makeFieldError(String fieldName,
                                Throwable t)

### escapeField

    static String escapeField(String fieldName,
                              String s)

### shouldEscapeField

    public boolean shouldEscapeField(String fieldName)

### shouldDecomposeURL

    public boolean shouldDecomposeURL(String fieldName)

### decomposeURL

    static String decomposeURL(String fieldName,
                               String s)

### importFieldTo

    public void importFieldTo(String fieldName,
                              Dictionary<String,Object> d,
                              String s,
                              Transaction db,
                              Pointer[] indexes)

### configureField

    public void configureField(String fieldName,
                               Properties markers)

### base_configureField

    public void base_configureField(String fieldName,
                                    Properties markers)

### configure_date_Field

    public void configure_date_Field(String fieldName,
                                     Properties markers)

### configure_none_Field

    public void configure_none_Field(String fieldName,
                                     Properties markers)

### configure_ptr_Field

    public void configure_ptr_Field(String fieldName,
                                    Properties markers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20